; Reserves Size bytes in zeropage for Name
; Merely declares where appropriate
.macro zp_res Name, Size
      .globalzp Name
      .if .defined(BEGIN_DUPLICATED) && (!.defined(END_DUPLICATED)) && (!.defined(DEFINE_DUPLICATED))
            ; simpler to do this than complex condition
      .elseif .defined(BEGIN_SHARED) && (!.defined(END_SHARED)) && (!.defined(DEFINE_SHARED))
            ; simpler to do this than complex condition
      .else
            .pushseg
            .zeropage
      Name: .res Size
            .popseg
      .endif
.endmacro

.macro global Name
      .if .defined(BEGIN_DUPLICATED) && (!.defined(END_DUPLICATED))
            ; Don't export from more than one file
            .if .defined(DEFINE_SHARED) || .defined(DEFINE_DUPLICATED)
                  .global Name
            .endif
      .else
            .global Name
      .endif
.endmacro
